Subject: bug#28510: crash: guix build -S foo --with-source=bla

From: Jérémy Korwin-Zmijowski <[email-masked]>
Date: Mon, 19 Sep 2022 19:38:05 +0200

Hello,

Today, I followed this steps to try to reproduce :

jeko@slim guix ±|master ✗|→ git pull
jeko@slim guix ±|master ✗|→ guix shell -D guix help2man git strace --pure
[dev] jeko@slim guix ±|master ✗|→ make
[dev] jeko@slim guix ±|master ✗|→ git clone 
https://gitlab.com/guile-git/guile-git.git /tmp/guile-git
[dev] jeko@slim guix ±|master ✗|→ ./pre-inst-env guix build -S guile-git 
--with-source=/tmp/guile-git
Backtrace:
In ice-9/boot-9.scm:
   1752:10 16 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
           15 (apply-smob/0 #<thunk 7f7b1c56f2e0>)
In ice-9/boot-9.scm:
     724:2 14 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
In ice-9/eval.scm:
     619:8 13 (_ #(#(#<directory (guile-user) 7f7b1c574c80>)))
In guix/ui.scm:
    2263:7 12 (run-guix . _)
   2226:10 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
   1752:10 10 (with-exception-handler _ _ #:unwind? _ # _)
In guix/status.scm:
     815:4  9 (call-with-status-report _ _)
In ice-9/boot-9.scm:
   1752:10  8 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
    656:37  7 (thunk)
    1295:8  6 (call-with-build-handler _ _)
    1295:8  5 (call-with-build-handler #<procedure 7f7b19ae5c90 at g?> ?)
In guix/scripts/build.scm:
    808:26  4 (_)
In srfi/srfi-1.scm:
     634:9  3 (for-each #<procedure show-derivation-outputs (derivat?> ?)
In guix/ui.scm:
     907:2  2 (show-derivation-outputs _)
In ice-9/boot-9.scm:
   1685:16  1 (raise-exception _ #:continuable? _)
   1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Throw to key `match-error' with args `("match" "no matching pattern" 
"/gnu/store/wgxcw7j7d45n3z3g5rswjj1hf393abl0-guile-git")'.

So, still failing but I don't get the same error… Is it valid according 
to the bug declaration ? I'm not sure haha

-- 
Jérémy Korwin-Zmijowski

GPG: 036B 4D54 B7B4 D6C8 DA62 2746 700F 5E0C CBB2 E2D1